/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.niederschrift.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.niederschrift.entity.NiederschriftConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(NiederschriftMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class NiederschriftMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "niederschriftMeta";

  @Inject
  private transient Messages messages;

  public NiederschriftMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return NiederschriftConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return NiederschriftConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getNiederschriftArtEinzahlMessageKey(){
    return NiederschriftConstants.MESSAGE_KEY_NIEDERSCHRIFT_ART_EINZAHL;
  }

  public String getNiederschriftArtMehrzahlMessageKey(){
    return NiederschriftConstants.MESSAGE_KEY_NIEDERSCHRIFT_ART_MEHRZAHL;
  }


  public String getNiederschriftArtEinzahlMessage(){
    return getMessage(getNiederschriftArtEinzahlMessageKey());
  }

  public String getNiederschriftArtMehrzahlMessage(){
    return getMessage(getNiederschriftArtMehrzahlMessageKey());
  }



  public boolean isNiederschriftArtRequired() {
    return !NiederschriftConstants.NIEDERSCHRIFT_ART_NULLABLE;
  }

  public de.ivu.elect.business.niederschrift.entity.NiederschriftArt getNiederschriftArtDefaultValue() {
    return NiederschriftConstants.NIEDERSCHRIFT_ART_DEFAULT_VALUE;
  }



  public String getWahldurchfuehrungsgebietEinzahlMessageKey(){
    return NiederschriftConstants.MESSAGE_KEY_WAHLDURCHFUEHRUNGSGEBIET_ID_EINZAHL;
  }

  public String getWahldurchfuehrungsgebietEinzahlMessage(){
    return getMessage(getWahldurchfuehrungsgebietEinzahlMessageKey());
  }

  public boolean isWahldurchfuehrungsgebietRequired() {
    return !NiederschriftConstants.WAHLDURCHFUEHRUNGSGEBIET_ID_NULLABLE;
  }

}